Bug 212357 - rpm does not honor the arch tag
rpm does not honor the arch tag
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: rpm (Show other bugs)
4.4
ppc64 Linux
medium Severity high
: ---
: ---
Assigned To: Panu Matilainen
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-10-26 10:54 EDT by Paolo Penzo
Modified: 2012-06-20 12:16 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-20 12:16:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Paolo Penzo 2006-10-26 10:54:35 EDT
On IBM Power rpm -i <somepackage>.rpm installs the package even if it is build
for   
a different architecture.


To reproduce the problem just run 
rpm -i <somepackage>.i386.rpm
Comment 1 Jeff Johnson 2006-10-26 12:30:14 EDT
Yes, on multilib systems (i.e. with %_transacftion_color 3, all RH distros since RHL9),
rpm does not check arch compatibility.

NOTABUG
Comment 2 Paolo Penzo 2006-10-27 05:42:24 EDT
This is correct if you want to install compatible archs, for instance i386 on
x86_64, however, in my opinion, rpm should still check for incompatible archs.
Comment 3 Jeff Johnson 2006-10-27 12:38:10 EDT
I don't disagree.

All depends on what "compatible" means. There are aliasing issues with the
string identifiers assigned to various ppc arches (there may be as many as 6 too many
arches for ppc*).

It is also unclear what "compatible" means when installing on, say,
a nfs-server with a different arch (and --relocate), or on a multilib system
where "compatible" is determined by the sysadmin choice, not by rpm.
Comment 4 Paolo Penzo 2006-10-31 03:17:45 EST
"compatible", still in my opinion, means that binaries are suitable to run on it.  
It it understood that the operating system is the same. 
So, dealing with linux on Power, compatible archs means ppc and ppc64 (and
noarch, obviously). On 32 bit intel (i686), all the i*86 archs are compatibles
and so on.
This reflects the hardware evolution from systems with 32(31) bits internal bus
to systems  with 64 bits internal bus.

At the end this is summarized by the rpm "compatible archs" macro and it's not a
sysadmin choice. Sysadmins willing to install software that can not run on the
target system/OS can still play with the --ignore* rpm switches.
Comment 5 Jeff Johnson 2007-03-14 06:12:33 EDT
rpm-4.4.8 includes the ability to specify regex patters that are applied
against cpu-vendor-os-gnu platform strings as a mechanism for platform affinity.

UPSTREAM
Comment 6 Jiri Pallich 2012-06-20 12:16:10 EDT
Thank you for submitting this issue for consideration in Red Hat Enterprise Linux. The release for which you requested us to review is now End of Life. 
Please See https://access.redhat.com/support/policy/updates/errata/

If you would like Red Hat to re-consider your feature request for an active release, please re-open the request via appropriate support channels and provide additional supporting details about the importance of this issue.

Note You need to log in before you can comment on or make changes to this bug.